Skip to main content
GET
/
v1
/
vaults
/
deposits
Fetch deposit events
curl --request GET \
  --url https://api.paxoslabs.com/v1/vaults/deposits
import requests

url = "https://api.paxoslabs.com/v1/vaults/deposits"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.paxoslabs.com/v1/vaults/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "chain_id": 1,
    "vault": "<string>",
    "time": 123,
    "tx_hash": "<string>",
    "asset": "<string>",
    "asset_amount": 123,
    "share_amount": 123,
    "from": "<string>",
    "to": "<string>"
  }
]

Query Parameters

vault_address
string

The address of the vault. Optional.

Example:

"0x9Ed15383940CC380fAEF0a75edacE507cC775f22"

user
string

User's address. Optional.

Example:

"0x04354e44ed31022716e77eC6320C04Eda153010c"

Response

Successful response with deposit events.

chain_id
integer

ID of the blockchain.

Example:

1

vault
string

The address of the vault.

Pattern: ^0x[a-fA-F0-9]{40}$
time
integer

Unix timestamp when the deposit was made.

tx_hash
string

Transaction hash of the deposit event.

asset
string

The address of the asset deposited.

Pattern: ^0x[a-fA-F0-9]{40}$
asset_amount
integer

Amount of the asset deposited.

share_amount
integer

Amount of shares received from the deposit.

from
string

The address of the depositor.

Pattern: ^0x[a-fA-F0-9]{40}$
to
string

The address of the recipient.

Pattern: ^0x[a-fA-F0-9]{40}$